import type { TestRail, AddResultForCase, Test, Result } from "testrail-js-api";
import type { Screenshot } from "../types";
export interface UploadScreenshotsProps {
    tests: Test[];
    results: Result[];
    resultsToPush: AddResultForCase[];
    screenshots: {
        [key: string]: Screenshot[];
    };
    testrailAPI: TestRail;
}
export declare const uploadScreenshots: ({ tests, results, resultsToPush, screenshots, testrailAPI, }: UploadScreenshotsProps) => Promise<void>;
