import type { TestRail, AddResultForCase, Test, Result } from "testrail-js-api";
import type { Video } from "../types";
export interface UploadVideosProps {
    tests: Test[];
    results: Result[];
    resultsToPush: AddResultForCase[];
    videos: {
        [key: string]: Video[];
    };
    testrailAPI: TestRail;
}
export declare const uploadVideos: ({ tests, results, resultsToPush, videos, testrailAPI, }: UploadVideosProps) => Promise<void>;
